summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dhaby Xiloj2010-05-11 22:53:21 +0200
committer David Somero2010-05-11 22:53:21 +0200
commit7d54c5ce23f3fac04702e16f3bbebe610ced2f8f (patch)
treed51fbdaed5bce48163ed07efdf51a3be228e82ab /desktop
parenta5f77f6dbe9ffab904707a9c4a773a83ac9b8595 (diff)
downloadslackbuilds-7d54c5ce23f3fac04702e16f3bbebe610ced2f8f.tar.gz
desktop/kirocker: Added to 12.1 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kirocker/README8
-rw-r--r--desktop/kirocker/kirocker.SlackBuild81
-rw-r--r--desktop/kirocker/kirocker.info8
-rw-r--r--desktop/kirocker/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/desktop/kirocker/README b/desktop/kirocker/README
new file mode 100644
index 0000000000..0fa65072b5
--- /dev/null
+++ b/desktop/kirocker/README
@@ -0,0 +1,8 @@
+Kirocker
+Make your Kicker (the KDE main panel) rock with your music.
+
+It is a Kicker applet that displays what you listen to in Amarok.
+A full-screen display can also be used independently of the applet.
+
+With this panel applet, you always know what you are listening to,
+and can watch its cover and star rating: it is always visible. \ No newline at end of file
diff --git a/desktop/kirocker/kirocker.SlackBuild b/desktop/kirocker/kirocker.SlackBuild
new file mode 100644
index 0000000000..8c1512feb7
--- /dev/null
+++ b/desktop/kirocker/kirocker.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for kirocker
+
+# Copyright (c) 2008, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kirocker
+VERSION=4.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=$KDEPREF \
+ --disable-debug \
+ --with-kde \
+ --program-prefix="" \
+ --program-suffix=""
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/slack-desc $PKG/install/slack-desc
+cat $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/kirocker/kirocker.info b/desktop/kirocker/kirocker.info
new file mode 100644
index 0000000000..b025f76ef9
--- /dev/null
+++ b/desktop/kirocker/kirocker.info
@@ -0,0 +1,8 @@
+PRGNAM="kirocker"
+VERSION="4.0"
+HOMEPAGE="http://www.kde-apps.org/content/show.php?content=52869"
+DOWNLOAD="http://slaout.linux62.org/kirocker/downloads/kirocker-4.0.tar.gz"
+MD5SUM="b7d144caed8a43b7155cf24703d7c456"
+MAINTAINER="Dhaby Xiloj"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/desktop/kirocker/slack-desc b/desktop/kirocker/slack-desc
new file mode 100644
index 0000000000..a570203ed3
--- /dev/null
+++ b/desktop/kirocker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kirocker: Kirocker (Kicker applet that displays what you listen to in Amarok)
+kirocker:
+kirocker: Make your Kicker (the KDE main panel) rock with your music.
+kirocker: It is a Kicker applet that displays what you listen to in Amarok.
+kirocker: A full-screen display can also be used independently of the applet.
+kirocker:
+kirocker: With this panel applet, you always know what you are listening to,
+kirocker: and can watch its cover and star rating: it is always visible.
+kirocker:
+kirocker: http://www.kde-apps.org/content/show.php?content=52869
+kirocker: